package com.supplier.mapper;

import com.supplier.model.Ignore;
import com.supplier.model.PrivateOrder;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface PrivateOrderMapper {
    List<PrivateOrder> getPrivateOrder(PrivateOrder privateOrder);

    int getPrivateOrderCount(PrivateOrder privateOrder);

    void addIgnore(Ignore ignore);

    PrivateOrder getPrivateOrderById(String uuid);

    int getPrivateOrderType(PrivateOrder privateOrder);

    List<PrivateOrder> getPrivateOrderZeor(PrivateOrder privateOrder);
}
